Package com.ericsson.otp.erlang

## Class OtpExternal

- java.lang.Object
- - com.ericsson.otp.erlang.OtpExternal

    public class OtpExternal
    extends java.lang.Object

Provides a collection of constants used when encoding and decoding Erlang terms.

### Field Summary

Fields
`static int` `atomTag` The tag used for atoms
`static int` `atomUtf8Tag` The tag used for unicode atoms
`static int` `binTag` The tag used for binaries
`static int` `bitBinTag` The tag used for bitstrs
`static int` `compressedTag` The tag used for compressed terms
`static int` `erlMax` The largest value that can be encoded as an integer
`static int` `erlMin` The smallest value that can be encoded as an integer
`static int` `externalFunTag` The tag used for external Funs (M:F/A)
`static int` `floatTag` The tag used for floating point numbers
`static int` `funTag` The tag used for old Funs
`static int` `intTag` The tag used for integers
`static int` `largeBigTag` The tag used for large bignums
`static int` `largeTupleTag` The tag used for large tuples
`static int` `listTag` The tag used for non-empty lists
`static int` `mapTag` The tag used for maps
`static int` `maxAtomLength` The longest allowed Erlang atom
`static int` `newerRefTag`
`static int` `newFloatTag`
`static int` `newFunTag` The tag used for old new Funs
`static int` `newPidTag`
`static int` `newPortTag`
`static int` `newRefTag` The tag used for new style references
`static int` `nilTag` The tag used for empty lists
`static int` `pidTag` The tag used for PIDs
`static int` `portTag` The tag used for ports
`static int` `refTag` The tag used for old stype references
`static int` `smallAtomUtf8Tag` The tag used for small unicode atoms
`static int` `smallBigTag` The tag used for small bignums
`static int` `smallIntTag` The tag used for small integers
`static int` `smallTupleTag` The tag used for small tuples
`static int` `stringTag` The tag used for strings and lists of small integers
`static int` `v4PortTag`
`static int` `versionTag` The version number used to mark serialized Erlang terms

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### smallIntTag

    public static final int smallIntTag

The tag used for small integers

See Also:
  Constant Field Values

#### intTag

    public static final int intTag

The tag used for integers

See Also:
  Constant Field Values

#### floatTag

    public static final int floatTag

The tag used for floating point numbers

See Also:
  Constant Field Values

#### newFloatTag

    public static final int newFloatTag

See Also:
  Constant Field Values

#### atomTag

    public static final int atomTag

The tag used for atoms

See Also:
  Constant Field Values

#### refTag

    public static final int refTag

The tag used for old stype references

See Also:
  Constant Field Values

#### portTag

    public static final int portTag

The tag used for ports

See Also:
  Constant Field Values

#### newPortTag

    public static final int newPortTag

See Also:
  Constant Field Values

#### v4PortTag

    public static final int v4PortTag

See Also:
  Constant Field Values

#### pidTag

    public static final int pidTag

The tag used for PIDs

See Also:
  Constant Field Values

#### newPidTag

    public static final int newPidTag

See Also:
  Constant Field Values

#### smallTupleTag

    public static final int smallTupleTag

The tag used for small tuples

See Also:
  Constant Field Values

#### largeTupleTag

    public static final int largeTupleTag

The tag used for large tuples

See Also:
  Constant Field Values

#### nilTag

    public static final int nilTag

The tag used for empty lists

See Also:
  Constant Field Values

#### stringTag

    public static final int stringTag

The tag used for strings and lists of small integers

See Also:
  Constant Field Values

#### listTag

    public static final int listTag

The tag used for non-empty lists

See Also:
  Constant Field Values

#### binTag

    public static final int binTag

The tag used for binaries

See Also:
  Constant Field Values

#### bitBinTag

    public static final int bitBinTag

The tag used for bitstrs

See Also:
  Constant Field Values

#### smallBigTag

    public static final int smallBigTag

The tag used for small bignums

See Also:
  Constant Field Values

#### largeBigTag

    public static final int largeBigTag

The tag used for large bignums

See Also:
  Constant Field Values

#### newFunTag

    public static final int newFunTag

The tag used for old new Funs

See Also:
  Constant Field Values

#### externalFunTag

    public static final int externalFunTag

The tag used for external Funs (M:F/A)

See Also:
  Constant Field Values

#### newRefTag

    public static final int newRefTag

The tag used for new style references

See Also:
  Constant Field Values

#### newerRefTag

    public static final int newerRefTag

See Also:
  Constant Field Values

#### mapTag

    public static final int mapTag

The tag used for maps

See Also:
  Constant Field Values

#### funTag

    public static final int funTag

The tag used for old Funs

See Also:
  Constant Field Values

#### atomUtf8Tag

    public static final int atomUtf8Tag

The tag used for unicode atoms

See Also:
  Constant Field Values

#### smallAtomUtf8Tag

    public static final int smallAtomUtf8Tag

The tag used for small unicode atoms

See Also:
  Constant Field Values

#### compressedTag

    public static final int compressedTag

The tag used for compressed terms

See Also:
  Constant Field Values

#### versionTag

    public static final int versionTag

The version number used to mark serialized Erlang terms

See Also:
  Constant Field Values

#### erlMax

    public static final int erlMax

The largest value that can be encoded as an integer

See Also:
  Constant Field Values

#### erlMin

    public static final int erlMin

The smallest value that can be encoded as an integer

See Also:
  Constant Field Values

#### maxAtomLength

    public static final int maxAtomLength

The longest allowed Erlang atom

See Also:
  Constant Field Values